/***********************************************************************/
/*                                                                     */
/*                              Pio (C++)                              */
/*                                                                     */
/*                    Polyglot Input/Output Library                    */
/*                                                                     */
/*                       EPI Serena, INRIA Paris                       */
/*                                                                     */
/*  Copyright (c) 2005-2017 INRIA.                                     */
/*  Institut National de Recherche en Informatique et en Automatique.  */
/*  All rights reserved. This file is distributed only by permission.  */
/*                                                                     */
/*  Estelle Marchand <Estelle.Marchand@inria.fr>                       */
/*                                                                     */
/***********************************************************************/

/* $Id: error.hpp,v 1.13 2017/05/31 15:54:21 fclement Exp $ */

#include "typed_value.hpp"

#ifndef _ERROR_H
#define _ERROR_H

namespace io{
  
  class Error{
    vector<Typed_value>  _values;
  public:
    Error();
    Error(vector<Typed_value> &);
    Error(const Typed_value &);
    virtual ~Error();
    void add(const Typed_value&);
    vector<Typed_value>& values();
  };
  
  
}


#endif
