(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(*  This example is based on an example designed for OCamlP3l.         *)
(*                                                                     *)
(***********************************************************************)

(* $Id: make_dd1.mli,v 1.1 2017/01/05 16:23:14 fclement Exp $ *)

open Rdec2;;

val set_data : Rdec2.t -> Subdomain.t array;;

val init_poisson :
  subdomain -> length -> Uunix.process_io_channels -> unit
;;

val subd_send_msg :
  Dd_config.t -> Uunix.process_io_channels ->
  index -> index -> boundary -> unit
;;
val subd_receive_result :
  Uunix.process_io_channels -> boundary_size -> Subdomain.t
;;

val plot_send_msg :
  Dd_config.t -> Rdec2.t -> Uunix.process_io_channels option ref ->
  index -> unit
;;

val conv_print_msg :
  Dd_config.t -> Subdomain.t array -> index -> unit
;;

val print_result : Dd_config.t -> string -> unit;;
