(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: parser_char.mli,v 1.11 2017/01/04 11:58:31 fclement Exp $ *)

val pchar : char -> (string, char) Parser.t;;
val pchar_ign : char -> (string, unit) Parser.t;;
val pclass : char list -> (string, char) Parser.t;;
val pnchar : char -> (string, char) Parser.t;;
val pword : string -> (string, unit) Parser.t;;
val pspaces : (string, unit) Parser.t;;
val pspaced : (string, 'a) Parser.t -> (string, 'a) Parser.t;;
val pint : (string, int) Parser.t;;
val pfloat : (string, float) Parser.t;;
