(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: tridiag.mli,v 1.10 2017/01/04 11:58:31 fclement Exp $ *)

type elmt = float
and top = elmt
and bot = elmt
and elmts = elmt array
and index = int
;;

type t = private elmts * elmts * elmts
and tridiag = t
;;

type pvect =
  | Top of elmts * bot
  | Mid of index * top * elmts * bot
  | Bot of top * elmts
;;

val create : elmts -> elmts -> elmts -> t;;
val pmult : t -> pvect -> elmts;;
val mk_pvect : elmts array -> pvect array;;
val split_vect : int -> 'a array -> 'a array array;;
