(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: darray.mli,v 1.18 2017/01/04 11:58:27 fclement Exp $ *)

(** {3 Dynamic arrays}

 Inserting elements on the fly is made easy,
 retreiving is in O(1). *)

open Tools_common_types;;

type 'a t
and 'a darray = 'a t
(** The hidden type of dynamic arrays. *)
;;

exception Out_of_memory;;

val create : size -> 'a t;;
val length : 'a t -> length;;
val append : 'a t -> 'a -> length;;
val get : 'a t -> index -> 'a;;
val set : 'a t -> index -> 'a -> unit;;
val fold_left : ('a -> 'b -> 'a) -> 'a -> 'b t -> 'a;;
