(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: daemon_types.mli,v 1.15 2017/05/16 18:44:27 fclement Exp $ *)

(** Types for the Sklml parallel daemon. *)

open Tools_common_types;;

type slave_packet = { color : color; };;

type spawn_success = { worker_port : port; };;

type spawn_reply =
  | Spawn_failure
  | Spawn_success of spawn_success
;;

type closure_id = Unatural.t;;

type spawn_request =
  | Spawn_atom of Obj.t * closure_id
  | Spawn_loop of Iotree.t * Iotree.t
  | Spawn_pipe of Iotree.t * Iotree.t
;;
