(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: node_types.mli,v 1.8 2017/05/16 18:44:27 fclement Exp $ *)

(** Types for the notion of node. *)

open Tools_common_types;;

type mode =
  | Master_mode
  | Slave_mode
;;

type master_node =
  {
   mn_local_address : Unix.inet_addr;
   mn_slave_number : index;
   mn_slave_port : port;
   mn_sklml_port : port;
  }

and slave_node =
  {
   sn_local_address : Unix.inet_addr;
   sn_master_address : Unix.sockaddr;
   sn_sklml_program_path : string;
   sn_color : color;
   sn_dynamic_link : bool;
  }
;;

type node =
  | Master_node of master_node
  | Slave_node of slave_node
;;
