(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: log.mli,v 1.17 2017/01/04 11:58:29 fclement Exp $ *)

type verbosity_level = Unatural.t;;

type log_level =
  | Err
  | Log of verbosity_level
  | Say
  | Warn
;;

type ('a, 'b) ks_format4 = ('a, unit, string, 'b) format4
(** The most general format string argument of [Printf.ksprintf]. *)
;;

val say : log_level -> ('a, unit) ks_format4 -> 'a;;

val progress :
  log_level -> ('a, ('b, unit) ks_format4 -> 'b) ks_format4 -> 'a
;;
