(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: lrope.mli,v 1.19 2017/01/04 11:58:30 fclement Exp $ *)

(** {3 Linear ropes, optimized for big buffers handling} *)

open Tools_common_types;;

type t
and lrope = t
(** The hidden type of linear ropes. *)
;;

val length : t -> length;;

val empty : t;;

val bytes_append : t -> Ubytes.t -> t;;
val rev_list_append : t -> Ubytes.t list -> t;;
val list_append : t -> Ubytes.t list -> t;;

val index : t -> char -> index option;;

val take_n : t -> length -> Ubytes.t;;
val skip_n : t -> length -> t;;

val get_c : t -> char;;

val concat : t -> t -> t;;
