(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                       EPI Serena, INRIA Paris                       *)
(*                                                                     *)
(*  Copyright (c) 2007-2017 INRIA.                                     *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux                                                *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: tools_make_command.mli,v 1.7 2017/05/15 17:29:20 fclement Exp $ *)

open Tools_common_types;;

val unwords : string list -> command;;

val add_system :
  suffix ->
  lib list * inc list * string list -> lib list * inc list * string list
;;

val add_pph :
  root_dir -> suffix ->
  lib list * inc list * string list -> lib list * inc list * string list
;;

val sklml_libs_and_include_dirs :
  semantics_mode -> root_dir -> 'a -> suffix -> lib list * inc list * 'a
;;

val caml_include_options : path list -> string list;;
